﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Windows.Data;

namespace XamWebGridCustomGrouping
{
    public class InventoryLevelsGroupByComparer : IEqualityComparer<int>
    {
        #region IEqualityComparer<int> Members

        public bool Equals(int x, int y)
        {
            // Compares values for each group created by GetHashCode
            // Since no additional conditions are required, just return true
            return true;
        }

        public int GetHashCode(int obj)
        {
            // Compare value and return the same hashcode for each interval
            if (obj >= 0 && obj < (int)StockLevels.Critical)
                return "critical".GetHashCode();
            else if (obj >= (int)StockLevels.Critical && obj < (int)StockLevels.Low)
                return "insufficient".GetHashCode();
            else if (obj >= (int)StockLevels.Low && obj < (int)StockLevels.Normal)
                return "low".GetHashCode();
            else if (obj >= (int)StockLevels.Normal)
                return "normal".GetHashCode();
            else
                return obj.GetHashCode();
        }

        #endregion
    }
}
