﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace XamWebGridCustomGrouping
{
    public enum StockLevels
    {
        Critical = 10,
        Low = 50,
        Normal = 75
    }
    /// <summary>
    /// Sets the group item text value depending on the value
    /// </summary>
    public class InventoryLevelsGroupItemHeaderConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            // Get value to convert
            int val = (int)value;

            // Compare value and returns a description of the value's range, displayed in each Groupby row
            if (val >= 0 && val < (int)StockLevels.Critical)
                return "Critical stock level ( < " + (int)StockLevels.Critical + " items )";
            else if (val >= (int)StockLevels.Critical && val < (int)StockLevels.Low)
                return "Insufficient stock level ( < " + (int)StockLevels.Low + " items )";
            else if (val >= (int)StockLevels.Low && val < (int)StockLevels.Normal)
                return "Low stock level ( < " + (int)StockLevels.Normal + " items )";
            else if (val >= 75)
                return "Normal stock level ( > " + (int)StockLevels.Normal + " items )";
            else
                return val.ToString();
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
